<?xml version="1.0"?>
<configuration>
  <configSections>
    <section name="loggingConfiguration" type="Microsoft.Practices.EnterpriseLibrary.Logging.Configuration.LoggingSettings, Microsoft.Practices.EnterpriseLibrary.Logging"/>
    <section name="cachingConfiguration" type="Microsoft.Practices.EnterpriseLibrary.Caching.Configuration.CacheManagerSettings, Microsoft.Practices.EnterpriseLibrary.Caching" requirePermission="true" />
  </configSections>

  <appSettings>
    <add key="Common.SQLDAL" value="server=192.168.158.222,1439;database=WMSKFMain;uid=sa;password=abc.123" />
    <add key="WMS.SQLDAL" value="server=192.168.158.222,1439;database=WMSKFMain;uid=sa;password=abc.123" />
    <add key="WcfBaseUri" value ="http://192.168.158.222/WMSKFMainWeb/WCF/"/>

    <add key="app.subsys" value ="1"/>
    <add key="CurrentCulture"  value="zh-CHS" />

    <!-- 快递对账单系统快递单和快递公司快递单Excel字段配置 -->
    <add key="ExpressCompareSysExcelField" value="日期,快递公司,快递单号,地区,重量,合计费用"/>
    <add key="ExpressCompareOutherExcelField" value="日期,快递公司,快递单号,地区,重量,合计费用"/>

    <!-- 绑存刷新时间：分钟 -->
    <add key="cache.autorefresh" value ="600"/>
    <add key="updatepath" value ="update"/>
    <add key="updatefilename" value ="update.exe"/>

    <add key="file.unity" value="unity.config"/>
    <add key="file.blldef" value="blldef.config"/>

    <!--客户端数据库配置-->
    <add key="ClientDBFolder" value="ClientDB"/>
    <add key="ClientDBName" value="clientdata.db"/>

    <!--电子秤类型配置-->
    <add key="EWType" value="YaoHua"/>
  </appSettings>

  <loggingConfiguration name="Logging Application Block" tracingEnabled="true" defaultCategory="" logWarningsWhenNoCategoriesMatch="true">
    <listeners>
      <add fileName="trace.log" header="----------------------------------------" footer="----------------------------------------" formatter="Text Formatter"
           listenerDataType="Microsoft.Practices.EnterpriseLibrary.Logging.Configuration.FlatFileTraceListenerData, Microsoft.Practices.EnterpriseLibrary.Logging" traceOutputOptions="None"
           type="Microsoft.Practices.EnterpriseLibrary.Logging.TraceListeners.FlatFileTraceListener, Microsoft.Practices.EnterpriseLibrary.Logging" name="FlatFile TraceListener"/>
    </listeners>
    <formatters>
      <add type="Microsoft.Practices.EnterpriseLibrary.Logging.Formatters.BinaryLogFormatter, Microsoft.Practices.EnterpriseLibrary.Logging" name="Binary Formatter"/>
      <add template="Timestamp: {timestamp(local)}
Message: {message}
Category: {category}
Priority: {priority}
EventId: {eventid}
Severity: {severity}
Title:{title}
Machine: {machine}
Application Domain: {appDomain}
Process Id: {processId}
Process Name: {processName}
Win32 Thread Id: {win32ThreadId}
Thread Name: {threadName}
Extended Properties: {dictionary({key} - {value}
)}" type="Microsoft.Practices.EnterpriseLibrary.Logging.Formatters.TextFormatter, Microsoft.Practices.EnterpriseLibrary.Logging" name="Text Formatter"/>
    </formatters>
    <categorySources>
      <add switchValue="All" name="TextLog">
        <listeners>
          <add name="FlatFile TraceListener"/>
        </listeners>
      </add>
    </categorySources>
    <specialSources>
      <allEvents switchValue="All" name="All Events"/>
      <notProcessed switchValue="All" name="Unprocessed Category">
        <listeners>
          <add name="FlatFile TraceListener"/>
        </listeners>
      </notProcessed>
      <errors switchValue="All" name="Logging Errors &amp; Warnings"/>
    </specialSources>
  </loggingConfiguration>

  <cachingConfiguration defaultCacheManager="Cache Manager">
    <cacheManagers>
      <add name="Cache Manager" type="Microsoft.Practices.EnterpriseLibrary.Caching.CacheManager, Microsoft.Practices.EnterpriseLibrary.Caching"
          expirationPollFrequencyInSeconds="60" maximumElementsInCacheBeforeScavenging="1000"
          numberToRemoveWhenScavenging="10" backingStoreName="NullBackingStore" />
    </cacheManagers>
    <backingStores>
      <add type="Microsoft.Practices.EnterpriseLibrary.Caching.BackingStoreImplementations.NullBackingStore, Microsoft.Practices.EnterpriseLibrary.Caching"
          name="NullBackingStore" />
    </backingStores>
  </cachingConfiguration>

  <runtime>
    <NetFx40_LegacySecurityPolicy enabled="true"/>

    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <probing privatePath="Chrome;"/>
    </assemblyBinding>
  </runtime>

  <startup useLegacyV2RuntimeActivationPolicy="true">
    <supportedRuntime version="v4.0" />
  </startup>

  <!-- WCF -->
  <system.serviceModel>
    <client>
    </client>
  </system.serviceModel>

  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0"/>
  </startup>

</configuration>
